Bug 28053 - GDM Login doesn't work when Nameserver down
Summary: GDM Login doesn't work when Nameserver down
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gdm   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-16 22:32 UTC by Albert
Modified: 2007-04-18 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-21 00:53:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Albert 2001-02-16 22:32:20 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)


On two systems I have, when ever the nameserver specified in Network 
Configuration is down or unavailable for whatever reason (such as flaky 
network), it is near impossible to login as a normal user.  It just 
accepts the id/password, tries to start Gnome, but then kicks you back to 
the login screen.  On next reboot, you get the error message "According to 
gdm.pid in /var/run, gdm was already running (#) but was mysteriously 
murdered."  The screen will flicker and this message will repeat until you 
reboot.  When rebooting, 'Stopping X Font System' fails.

Reproducible: Always
Steps to Reproduce:
1. Add a nameserver
2. Try to make the nameserver unavailable for whatever reason 
(disconnected network cable, nameserver off, etc.)
3. Try to login several times
4. Reboot
	
Expected Results:  Should have been able to access desktop, graphical 
login screen should have come up again after reboot.

Comment 1 Albert 2001-02-21 00:53:11 UTC
I forgot to mention that these problems linger even after the nameserver comes back up.

Comment 2 Havoc Pennington 2001-07-12 20:59:57 UTC
X simply does not work reasonably when you can't "ping `hostname`" - if you
can't resolve your hostname, the system is going to be screwed. 

Newer gdm in rawhide will just get stuck in a DNS query instead of getting into
this hosed state though. 

Still, even if you could log in GNOME and X wouldn't work right.


Note You need to log in before you can comment on or make changes to this bug.